// (C) Фролов Г.В., 1995
// Адрес E-mail: frolov@glas.apc.org

// ===================================================================
// Определение доступных COM-портов
// ===================================================================

#define STRICT
#include <windows.h>
#include <bwcc.h>

BYTE FAR FindCOMPorts( void );

// ===================================================================
// Функция WinMain
// ===================================================================
#pragma argsused

int PASCAL
WinMain( HINSTANCE hInstance,
			HINSTANCE hPrevInstance,
			LPSTR lpCmdLine,
			int nCmdShow )
{
	char  szMsg[ 60 ] = "";
	BYTE  bFindPort;

   // Определяем работает ли Windows в расширенном режиме
   if(GetWinFlags() & WF_ENHANCED)
   {
		bFindPort = FindCOMPorts();

		for (int i = 0; i < 8; i++)
      {
			if (bFindPort & (BYTE) (1 << (BYTE)i))
         wsprintf( szMsg, "%sCOM%d ", (LPSTR) szMsg, i + 1 ) ;
		}

		BWCCMessageBox(NULL,
			szMsg, "Обнаружены COM-порты:",
			MB_OK | MB_ICONINFORMATION);
	}

	else
		BWCCMessageBox(NULL,
			"Зпустите Windows в расширенном режиме", "Сообщение",
			MB_OK | MB_ICONSTOP);

   return 0;
}

